Package com.sap.ai.sdk.foundationmodels.rpt

# Record Class RptModel

java.lang.Object
java.lang.Record
com.sap.ai.sdk.foundationmodels.rpt.RptModel

Record Components:
  `name` - The name of the model.
  `version` - The version of the model (optional).

All Implemented Interfaces:
  `AiModel`

public record RptModel(@Nonnull String name, @Nullable String version) extends Record implements AiModel
Represents an SAP RPT foundation model.

Since:
  1.16.0

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final RptModel`
  `SAP_RPT_1_LARGE`
  SAP RPT 1 Large model.
  `static final RptModel`
  `SAP_RPT_1_SMALL`
  SAP RPT 1 Small model.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RptModel(String name, String version)`
  Creates an instance of a `RptModel` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `String`
  `name()`
  Returns the value of the `name` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.
  `String`
  `version()`
  Returns the value of the `version` record component.
  `RptModel`
  `withVersion(String version)`
  Create a new instance of RptModel with the provided version.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### SAP_RPT_1_SMALL

    public static final RptModel SAP_RPT_1_SMALL
    SAP RPT 1 Small model.

  - ### SAP_RPT_1_LARGE

    public static final RptModel SAP_RPT_1_LARGE
    SAP RPT 1 Large model.

- ## Constructor Details

  - ### RptModel

    public RptModel(@Nonnull String name, @Nullable String version)
    Creates an instance of a `RptModel` record class.
    Parameters:
      `name` - the value for the `name` record component
      `version` - the value for the `version` record component

- ## Method Details

  - ### withVersion

    @Nonnull public RptModel withVersion(@Nonnull String version)
    Create a new instance of RptModel with the provided version.
    Parameters:
      `version` - The version of the model.
    Returns:
      The new instance of RptModel.

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### name

    @Nonnull public String name()
    Returns the value of the `name` record component.
    Specified by:
      `name` in interface `AiModel`
    Returns:
      the value of the `name` record component

  - ### version

    @Nullable public String version()
    Returns the value of the `version` record component.
    Specified by:
      `version` in interface `AiModel`
    Returns:
      the value of the `version` record component